# BaseMessageUpdate - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.update.abstracts / BaseMessageUpdate

# BaseMessageUpdate

(common) `interface BaseMessageUpdate : Update` (source)

### Properties

(common)

#### data

`abstract val data: Message`

### Inheritors

(common)

#### BaseEditMessageUpdate

`interface BaseEditMessageUpdate : BaseMessageUpdate`

(common)

#### BaseSentMessageUpdate

`interface BaseSentMessageUpdate : BaseMessageUpdate`